#include <stdio.h>
#include <stdlib.h>

#include "booleanvector.h"
#include "booleanmatrix.h"
#include "simplicialcomplex.h"
#include "persistence.h"
#include "image.h"

using namespace std;


int main(int argc, char* argv[]) {
    (void) argc;
    (void) argv;

    Test::Suite ts;

    ts.add(auto_ptr<Test::Suite>(new boolean_vector_TestSuite));
    ts.add(auto_ptr<Test::Suite>(new boolean_matrix_TestSuite));
    ts.add(auto_ptr<Test::Suite>(new simplicial_complex_TestSuite));
    ts.add(auto_ptr<Test::Suite>(new persistence_TestSuite));
    ts.add(auto_ptr<Test::Suite>(new image_TestSuite));

    Test::TextOutput output(Test::TextOutput::Verbose);
    if (ts.run(output))
        return EXIT_SUCCESS;
    return EXIT_FAILURE;
}

